#ifndef BALL_HPP
#define BALL_HPP

#include <Basis/Screen.hpp>
#include <Vector/Vector.hpp>
#include <string>

// a couple constants for distinguishing colors
#define BLUE 0
#define RED 1
#define GREEN 2
#define WHITE 3
#define YELLOW 4
#define PURPLE 5
#define NUM_COLORS 6

class Ball
{
	public:
		Ball();
		virtual ~Ball();
		
		virtual void update( float elapsed_time, float speed );
		virtual void draw();
		virtual void draw_square( float x, float y, float size );
		virtual void draw_circle( float x, float y, float radius );
		virtual void set_color();
		virtual bool test_collide( Ball other );
		
		int color;
		float radius;
		
		Vector2f speed_percent;
		Vector2f pos;
		
};

#endif //BALL_HPP
